PDA

View Full Version : Is 6.5 ready for non techies?



PBS
2006-09-25, 11:26
There seem to be a fair amount of threads detailing issues with 6.5.0 Is this representative or have most upgrades gone smoothly?

Browny
2006-09-25, 11:51
I upgraded from 6.3 to 6.5 at the weekend.

Simply removed 6.3 and installed 6.5.

Worked first time, no issues. The only thing I made sure was that the old version was completely gone before I started installing (I always clear out any Plugins left over and reinstall these once I have the new version running).

This was on Linux (Clark Connect).

PBS
2006-09-25, 12:08
That's encouraging. I'm on Windows XP and the only plugin I believe I have installed is the telcanto remote (although I really never use it).

The reason I asked the question was that my upgrade from 6.2.? to 6.3.1 was somewhat frustrating.

jeffluckett
2006-09-25, 12:12
I agree with the previous poster.

As long as you do a complete un-install of your previous version, 6.5 installs and runs fine. MOST of the issues I've seen seem to stem from "previous version poisoning", and also people who are using the more advanced features or have lots of plugins.

There's enough "new goodness" there to make it worth your while.

Nostromo
2006-09-25, 12:30
I did a clean install, but there are still some minor issues. Nothing major so far. 6.5 is big improvement.

kitecarl
2006-09-25, 12:56
Hi everyone,

I installed 6.5 w/o uninstalling 6.3 this past Friday and everything has continued working great... I did notice however many people commenting on the "gallery" view which I do not see as an option in the Fishbone UI. Perhaps this is why!

I'll completely wipe out my SlimServer installation tonight and install 6.5 fresh tonight. Afterwards will I see the "gallery" view as the same level as Albums, Artists, Years, etc? Thanks.

JJZolx
2006-09-25, 13:16
Hi everyone,

I installed 6.5 w/o uninstalling 6.3 this past Friday and everything has continued working great... I did notice however many people commenting on the "gallery" view which I do not see as an option in the Fishbone UI. Perhaps this is why!

I'll completely wipe out my SlimServer installation tonight and install 6.5 fresh tonight. Afterwards will I see the "gallery" view as the same level as Albums, Artists, Years, etc? Thanks.
No, the gallery view is an alternative to the list view that you can optionally use when you have a page full of albums. It's not a seperate browse mode.

Go into browse Albums and click the icon in the upper right of the browse window, next to the "Sort By" dropdown box. It's also there if you browse Artists, then select an artist.

Pale Blue Ego
2006-09-25, 13:17
I upgraded from 6.3 to 6.5 at the weekend.

Simply removed 6.3 and installed 6.5.

Worked first time, no issues. The only thing I made sure was that the old version was completely gone before I started installing (I always clear out any Plugins left over and reinstall these once I have the new version running).

This was on Linux (Clark Connect).

A few questions, if you don't mind. I'm also using ClarkConnect. I'm currently running SS 6.2.2, and would like to try 6.5.0

Right now I do not have the MySQL service running on ClarkConnect. It is installed, but set to manual startup. Do I need to have MySQL running on ClarkConnect, or does 6.5 install its own version of MySQL and start it?

Did you simply do an RPM -e to uninstall Slimserver? And a RPM -i to install 6.5?

stinkingpig
2006-09-25, 19:06
On 9/25/06, Pale Blue Ego <
Pale.Blue.Ego.2epivb1159215602 (AT) no-mx (DOT) forums.slimdevices.com> wrote:
>
>
> Browny;139628 Wrote:
> > I upgraded from 6.3 to 6.5 at the weekend.
> >
> > Simply removed 6.3 and installed 6.5.
> >
> > Worked first time, no issues. The only thing I made sure was that the
> > old version was completely gone before I started installing (I always
> > clear out any Plugins left over and reinstall these once I have the new
> > version running).
> >
> > This was on Linux (Clark Connect).
>
> A few questions, if you don't mind. I'm also using ClarkConnect. I'm
> currently running SS 6.2.2, and would like to try 6.5.0
>
> Right now I do not have the MySQL service running on ClarkConnect. It
> is installed, but set to manual startup. Do I need to have MySQL
> running on ClarkConnect, or does 6.5 install its own version of MySQL
> and start it?



6.5 brings its own MySQL, you don't need another one.


Did you simply do an RPM -e to uninstall Slimserver? And a RPM -i to
> install 6.5?
>
>
Yup. If you have any problems after doing that, you might also need to run
/usr/local/slimserver/Bin/build-perlmodules.pl -- I needed it on SuSE 10.
--
"I spent all me tin with the ladies drinking gin,
So across the Western ocean I must wander" -- traditional

miguelk
2006-09-26, 04:33
I'm running XP. I've done a complete uninstallation of 6.3 and installed 6.5, and every time I tried to scan my collection Slimserver crashed. I gave up and reinstalled 6.3...working fine again. Whatever the advantages of 6.5, they are pointless if it keeps crashing. Not quite ready for prime time (but I'm open to suggestions if anyone knows how to solve the problem...)

Siduhe
2006-09-26, 04:49
I'm running XP. I've done a complete uninstallation of 6.3 and installed 6.5, and every time I tried to scan my collection Slimserver crashed. (but I'm open to suggestions if anyone knows how to solve the problem...)

Do you have an "on-access" virus scanning or internet security program installed on the machine the runs slimserver ? Does Slimserver work ok if you switch your internet security program off ?

If so, set your virus scanner to ignore files ending in .MYI and see if this helps.

http://forums.slimdevices.com/showthread.php?t=27437&highlight=virus

Oh, and when you uninstalled 6.3 - did you completely wipe out the database by deleting the old Slimserver directory manually ? Is also worth checking you have no remnants of 6.3 (including any third party plugins) before you fire up 6.5.

HTH

Pale Blue Ego
2006-09-26, 11:13
6.5.0 upgrade went smoothly on ClarkConnect. No problems that I can detect after playing around for an hour.

I have to say that the performance is much better than 6.2.2. I assume it's due to using MySQL instead of SQL Lite. Both the player GUI and the web interface are a LOT more responsive.

Nice job, guys! I usually don't risk the ".0" releases, but 6.5.0 seems quite stable, fun, and frisky.

poneeboy
2006-09-26, 16:13
it seems that uninstalling earlier versions is the prudent way to go. But I dread reconfiguring all my server settings.

Is there any way to bring across just the settings and still uninstall all the program files (except the settings)?

thanks

LHawes
2006-09-26, 18:15
I went to the 6.5 download page http://www.slimdevices.com/su_downloads.html and saw nothing that mentions removing 6.3 completely before loading 6.5, which to me, speaks volumes in answer to the OP's question.

The web site says nothing about removing 6.3, which, if it does, it is hidden pretty well from this non-techie and yet all the techies (and I mean that in the most affectionate manner) insist 6.3 must be removed before loading 6.5.

I just loaded 6.5 over the top of 6.3 because I'm a non-techie and it seems to be working fine. So is it ready for us non-techies? I say yes - so far.

Ben Sandee
2006-09-26, 18:27
On 9/26/06, LHawes <LHawes.2errfb1159320001 (AT) no-mx (DOT) forums.slimdevices.com>
wrote:
>
>
> The web site says nothing about removing 6.3, which, if it does, it is
> hidden pretty well from this non-techie and yet all the techies (and I
> mean that in the most affectionate manner) insist 6.3 must be removed
> before loading 6.5.


There are a few well-known (now) situations where installing over the
earlier install fails (Default2 skin, some old plugins, etc).
Some/many/all(?) of these issues are being addressed in 6.5.1 I believe.
SlimDevices official stance is that you absolutely can install right over
top.

Ben

Browny
2006-09-27, 11:28
Right now I do not have the MySQL service running on ClarkConnect. It is installed, but set to manual startup. Do I need to have MySQL running on ClarkConnect, or does 6.5 install its own version of MySQL and start it?


As already stated by stinkingpig its easiest to use the built in version (which is v5). The version that ClarkConnect installs is v4.1.12 which is getting on a bit. One odd thing to watch for is in the 'Running Services' page on the ClarkConnect web interface - if you have the official CC MySQL installed, but not running, when you start Slimserver you'll see that the CC MySQL is showing as running even though it is not.

Out of curiosity I have tried 4.1.12 with Slimserver 6.5.0 (following the instructions in the wiki) and it appeared to work fine, but as the Slimserver Database is the only one on the server it seems easier to stick to the bundled version.